"""Cataloging and searching components for access codes.
"""
import grok
from waeup.sirp.interfaces import IUniversity
from waeup.sirp.accesscodes.interfaces import IAccessCode

class AccessCodeIndexes(grok.Indexes):
    """A catalog for access codes.
    """
    grok.site(IUniversity)
    grok.name('accesscodes_catalog')
    grok.context(IAccessCode)

    code = grok.index.Field(attribute='representation')
    history = grok.index.Text(attribute='history')
    disabled = grok.index.Field(attribute='disabled')
    used = grok.index.Field(attribute='used')
